%global pypi_name psycogreen

%global common_desc \
The psycogreen package enables psycopg2 to work with co-routine libraries,	\
using asynchronous calls internally but offering a blocking interface so	\
that regular code can run unmodified.  Psycopg offers co-routines support	\
since release 2.2.  Because the main module is a C extension it cannot be	\
monkey-patched to become co-routine-friendly.  Instead it exposes a hook	\
that co-routine libraries can use to install a function integrating with	\
their event scheduler.  Psycopg will call the function whenever it		\
executes a libpq call that may block.  Psycogreen is a collection of “wait	\
callbacks” useful to integrate Psycopg with different co-routine libraries.


Name:		python-%{pypi_name}
Version:	1.0.2
Release:	%mkrel 7
Summary:	Psycopg2 integration with co-routine libraries
License: 	BSD
Group:		Development/Python
URL:		https://pypi.python.org/pypi/%{pypi_name}
Source0:	https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch

%description
%{common_desc}

%package -n python3-%{pypi_name}
Summary:	%{summary}
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

Requires:	python3-eventlet
Requires:	python3-gevent
Requires:	python3-psycopg2

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{common_desc}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license COPYING
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.2-7.mga10
+ Revision: 2241182
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.0.2-6.mga10
+ Revision: 2158467
- rebuild for python3.13

* Mon Dec 18 2023 papoteur <papoteur> 1.0.2-5.mga10
+ Revision: 2019041
- Mass Rebuild - Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.0.2-4.mga9
+ Revision: 1823448
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.0.2-3.mga9
+ Revision: 1783286
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.0.2-2.mga9
+ Revision: 1732372
- Rebuild for python 3.9
+ joequant <joequant>
- update to 1.0.2

* Sun Feb 16 2020 umeabot <umeabot> 1.0.1-2.mga8
+ Revision: 1532777
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 wally <wally> 1.0.1-1.mga8
+ Revision: 1443155
- new version 1.0.1
- drop python2 support

* Wed Jan 09 2019 tv <tv> 1.0-4.mga7
+ Revision: 1353037
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0-3.mga7
+ Revision: 1289753
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0-2.mga7
+ Revision: 1135555
- Rebuild for python 3.6

* Sun Nov 20 2016 joequant <joequant> 1.0-1.mga6
+ Revision: 1068421
- fix requires
- imported package python-psycogreen

